Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IJobManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IJobManager.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/Interfaces/IJobManager.cs	(revision 3011)
@@ -34,15 +34,15 @@
   public interface IJobManager {
     [OperationContract]
-    ResponseList<Job> GetAllJobs();
+    ResponseList<JobDto> GetAllJobs();
     [OperationContract]
-    ResponseObject<Job> GetJobById(Guid jobId);
+    ResponseObject<JobDto> GetJobById(Guid jobId);
     [OperationContract]
-    ResponseObject<Job> AddNewJob(SerializedJob job);
+    ResponseObject<JobDto> AddNewJob(SerializedJob job);
     [OperationContract]
     Response RemoveJob(Guid jobId);
     [OperationContract]
-    ResponseObject<JobResult> GetLastJobResultOf(Guid jobId);
+    ResponseObject<JobDto> GetLastJobResultOf(Guid jobId);
     [OperationContract]
-    ResponseObject<SerializedJobResult> GetLastSerializedJobResultOf(Guid jobId, bool requested);
+    ResponseObject<SerializedJob> GetLastSerializedJobResultOf(Guid jobId, bool requested);
     [OperationContract]
     ResponseList<JobResult> GetAllJobResults(Guid jobId);
@@ -52,13 +52,13 @@
     Response AbortJob(Guid jobId);
     [OperationContract]
-    ResponseList<Project> GetAllProjects();
+    ResponseList<ProjectDto> GetAllProjects();
     [OperationContract]
-    Response CreateProject(Project project);
+    Response CreateProject(ProjectDto project);
     [OperationContract]
-    Response ChangeProject(Project project);
+    Response ChangeProject(ProjectDto project);
     [OperationContract]
     Response DeleteProject(Guid projectId);
     [OperationContract]
-    ResponseList<Job> GetJobsByProject(Guid projectId);
+    ResponseList<JobDto> GetJobsByProject(Guid projectId);
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponseJob.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponseJob.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponseJob.cs	(revision 3011)
@@ -37,5 +37,5 @@
   public class ResponseJob : Response {
     [DataMember]
-    public Job Job { get; set; }
+    public JobDto Job { get; set; }
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponsePlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponsePlugin.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponsePlugin.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -12,9 +12,9 @@
   public class ResponsePlugin : Response {
     public ResponsePlugin() {
-      Plugins = new List<CachedHivePluginInfo>();
+      Plugins = new List<CachedHivePluginInfoDto>();
     }
 
     [DataMember]
-    public List<CachedHivePluginInfo> Plugins { get; set; }
+    public List<CachedHivePluginInfoDto> Plugins { get; set; }
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponseResultReceived.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponseResultReceived.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/3.2/ResponseResultReceived.cs	(revision 3011)
@@ -33,6 +33,4 @@
     public Guid JobId { get; set; }
     [DataMember]
-    public Guid JobResultId { get; set; }
-    [DataMember]
     public bool finished { get; set; }
   }
Index: /trunk/sources/HeuristicLab.Hive.Engine/3.2/HeuristicLab.Hive.Engine-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Engine/3.2/HeuristicLab.Hive.Engine-3.2.csproj	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Engine/3.2/HeuristicLab.Hive.Engine-3.2.csproj	(revision 3011)
@@ -89,4 +89,5 @@
     <Compile Include="HiveEngine.cs" />
     <Compile Include="HiveEngineEditor.cs">
+      <SubType>UserControl</SubType>
     </Compile>
     <Compile Include="HiveEngineEditor.Designer.cs">
Index: /trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs	(revision 3011)
@@ -101,5 +101,5 @@
 
       for (int i = 0; i < loops; i++) {
-        ResponseObject<Contracts.BusinessObjects.Job> res = executionEngineFacade.AddJob(jobObj);
+        ResponseObject<Contracts.BusinessObjects.JobDto> res = executionEngineFacade.AddJob(jobObj);
         jobId = res.Obj.Id;
       }
@@ -112,5 +112,5 @@
       Thread t = new Thread(() => {
         IExecutionEngineFacade executionEngineFacade = ServiceLocator.CreateExecutionEngineFacade(HiveServerUrl);
-        ResponseObject<SerializedJobResult> response = null;
+        ResponseObject<SerializedJob> response = null;
         Job restoredJob = null;
         do {
@@ -128,5 +128,5 @@
             if (response.Success && response.Obj != null) {
               HiveLogger.Debug("HiveEngine: Results-polling - Got result!");
-              restoredJob = (Job)PersistenceManager.RestoreFromGZip(response.Obj.SerializedJobResultData);
+              restoredJob = (Job)PersistenceManager.RestoreFromGZip(response.Obj.SerializedJobData);
               HiveLogger.Debug("HiveEngine: Results-polling - IsSnapshotResult: " + (restoredJob.Progress<1.0));
             }
@@ -146,5 +146,5 @@
       IExecutionEngineFacade executionEngineFacade = ServiceLocator.CreateExecutionEngineFacade(HiveServerUrl);
       int retryCount = 0;
-      ResponseObject<SerializedJobResult> response;
+      ResponseObject<SerializedJob> response;
       lock (locker) {
         HiveLogger.Debug("HiveEngine: Abort - RequestSnapshot");
@@ -174,8 +174,8 @@
         }
       }
-      SerializedJobResult jobResult = response.Obj;
+      SerializedJob jobResult = response.Obj;
       if (jobResult != null) {
         HiveLogger.Debug("HiveEngine: Results-polling - Got result!");
-        job = (Job)PersistenceManager.RestoreFromGZip(jobResult.SerializedJobResultData);
+        job = (Job)PersistenceManager.RestoreFromGZip(jobResult.SerializedJobData);
         ControlManager.Manager.ShowControl(job.Engine.CreateView());
       }
@@ -210,6 +210,6 @@
 
     private HeuristicLab.Hive.Contracts.BusinessObjects.SerializedJob CreateJobObj() {
-      HeuristicLab.Hive.Contracts.BusinessObjects.Job jobObj =
-        new HeuristicLab.Hive.Contracts.BusinessObjects.Job();
+      HeuristicLab.Hive.Contracts.BusinessObjects.JobDto jobObj =
+        new HeuristicLab.Hive.Contracts.BusinessObjects.JobDto();
 
       MemoryStream memStream = new MemoryStream();
@@ -240,9 +240,9 @@
       }
 
-      List<HivePluginInfo> pluginsNeeded =
-        new List<HivePluginInfo>();
+      List<HivePluginInfoDto> pluginsNeeded =
+        new List<HivePluginInfoDto>();
       foreach (IPluginDescription uniquePlugin in plugins) {
-        HivePluginInfo pluginInfo =
-          new HivePluginInfo();
+        HivePluginInfoDto pluginInfo =
+          new HivePluginInfoDto();
         pluginInfo.Name = uniquePlugin.Name;
         pluginInfo.Version = uniquePlugin.Version.ToString();
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientAdapter.cs	(revision 3011)
@@ -38,5 +38,5 @@
     DataAdapterBase<
       dsHiveServerTableAdapters.ClientTableAdapter, 
-      ClientInfo, 
+      ClientDto, 
       dsHiveServer.ClientRow>,
     IClientAdapter {
@@ -48,5 +48,5 @@
         if (resAdapter == null)
           resAdapter =
-            this.Session.GetDataAdapter<Resource, IResourceAdapter>();
+            this.Session.GetDataAdapter<ResourceDto, IResourceAdapter>();
 
         return resAdapter;
@@ -60,5 +60,5 @@
         if (clientGroupAdapter == null) {
           clientGroupAdapter =
-            this.Session.GetDataAdapter<ClientGroup, IClientGroupAdapter>();
+            this.Session.GetDataAdapter<ClientGroupDto, IClientGroupAdapter>();
         }
 
@@ -72,5 +72,5 @@
       get {
         if (jobAdapter == null) {
-          this.Session.GetDataAdapter<Job, IJobAdapter>();
+          this.Session.GetDataAdapter<JobDto, IJobAdapter>();
         }
 
@@ -85,5 +85,5 @@
         if (clientConfigAdapter == null) {
           clientConfigAdapter =
-            this.Session.GetDataAdapter<ClientConfig, IClientConfigAdapter>();
+            this.Session.GetDataAdapter<ClientConfigDto, IClientConfigAdapter>();
         }
 
@@ -98,6 +98,6 @@
 
     #region Overrides
-    protected override ClientInfo ConvertRow(dsHiveServer.ClientRow row, 
-      ClientInfo client) {
+    protected override ClientDto ConvertRow(dsHiveServer.ClientRow row, 
+      ClientDto client) {
       if(row != null && client != null) {      
         /*Parent - resource*/
@@ -152,5 +152,5 @@
     }
 
-    protected override dsHiveServer.ClientRow ConvertObj(ClientInfo client,
+    protected override dsHiveServer.ClientRow ConvertObj(ClientDto client,
       dsHiveServer.ClientRow row) {
       if (client != null && row != null) {
@@ -179,5 +179,5 @@
 
     #region IClientAdapter Members
-    protected override void doUpdate(ClientInfo client) {
+    protected override void doUpdate(ClientDto client) {
       if (client != null) {
         ResAdapter.Update(client);
@@ -188,10 +188,10 @@
     }
 
-    public ClientInfo GetByName(string name) {
-      return (ClientInfo)
+    public ClientDto GetByName(string name) {
+      return (ClientDto)
         base.doInTransaction(
         delegate() {
-          ClientInfo client = new ClientInfo();
-          Resource res =
+          ClientDto client = new ClientDto();
+          ResourceDto res =
             ResAdapter.GetByName(name);
 
@@ -200,5 +200,5 @@
     }
 
-    protected override bool doDelete(ClientInfo client) {
+    protected override bool doDelete(ClientDto client) {
       return (bool)base.doInTransaction(
         delegate() {
@@ -219,5 +219,5 @@
     }
 
-    public ICollection<ClientInfo> GetGrouplessClients() {
+    public ICollection<ClientDto> GetGrouplessClients() {
       return
         base.FindMultiple(
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientConfigAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientConfigAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientConfigAdapter.cs	(revision 3011)
@@ -12,5 +12,5 @@
     DataAdapterBase<
       dsHiveServerTableAdapters.ClientConfigTableAdapter,
-      ClientConfig,
+      ClientConfigDto,
       dsHiveServer.ClientConfigRow>,
     IClientConfigAdapter {
@@ -20,9 +20,10 @@
 
     protected override dsHiveServer.ClientConfigRow 
-      ConvertObj(ClientConfig config, dsHiveServer.ClientConfigRow row) {
+      ConvertObj(ClientConfigDto config, dsHiveServer.ClientConfigRow row) {
       if (row != null && config != null) {
         row.ClientConfigId = config.Id;
-        row.HeartBeatIntervall = config.HeartBeatIntervall;
-        row.UpDownTimeCalendar = config.UpDownTimeCalendar;
+        //Todo: commOut
+        //row.HeartBeatIntervall = config.HeartBeatIntervall;
+        //row.UpDownTimeCalendar = config.UpDownTimeCalendar;
 
         return row;
@@ -31,5 +32,5 @@
     }
 
-    protected override ClientConfig ConvertRow(dsHiveServer.ClientConfigRow row, ClientConfig config) {
+    protected override ClientConfigDto ConvertRow(dsHiveServer.ClientConfigRow row, ClientConfigDto config) {
       if (config != null && row != null) {
         config.Id = row.ClientConfigId;
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientGroupAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ClientGroupAdapter.cs	(revision 3011)
@@ -37,5 +37,5 @@
   class ClientGroupAdapter : 
     DataAdapterBase<dsHiveServerTableAdapters.ClientGroupTableAdapter, 
-    ClientGroup, 
+    ClientGroupDto, 
     dsHiveServer.ClientGroupRow>, 
     IClientGroupAdapter {
@@ -66,5 +66,5 @@
         if (resourceAdapter == null)
           resourceAdapter =
-            this.Session.GetDataAdapter<Resource, IResourceAdapter>();
+            this.Session.GetDataAdapter<ResourceDto, IResourceAdapter>();
 
         return resourceAdapter;
@@ -78,6 +78,6 @@
 
     #region Overrides
-    protected override ClientGroup ConvertRow(dsHiveServer.ClientGroupRow row,
-      ClientGroup clientGroup) {
+    protected override ClientGroupDto ConvertRow(dsHiveServer.ClientGroupRow row,
+      ClientGroupDto clientGroup) {
       if (row != null && clientGroup != null) {
         /*Parent - Permission Owner*/
@@ -90,5 +90,5 @@
         clientGroup.Resources.Clear();
         foreach(Guid resource in resources) {
-          Resource res =
+          ResourceDto res =
             ResAdapter.GetByIdPolymorphic(resource);
 
@@ -101,5 +101,5 @@
     }
 
-    protected override dsHiveServer.ClientGroupRow ConvertObj(ClientGroup clientGroup,
+    protected override dsHiveServer.ClientGroupRow ConvertObj(ClientGroupDto clientGroup,
       dsHiveServer.ClientGroupRow row) {
       if (clientGroup != null && row != null) {
@@ -112,5 +112,5 @@
 
     #region IClientGroupAdapter Members
-    protected override void doUpdate(ClientGroup group) {
+    protected override void doUpdate(ClientGroupDto group) {
       if (group != null) {
         ResAdapter.Update(group);
@@ -120,5 +120,5 @@
         List<Guid> relationships = 
           new List<Guid>();
-        foreach(Resource res in group.Resources) {
+        foreach(ResourceDto res in group.Resources) {
           ResAdapter.UpdatePolymorphic(res);
 
@@ -131,7 +131,7 @@
     }
 
-    public ClientGroup GetByName(string name) {
-      ClientGroup group = new ClientGroup();
-      Resource res =
+    public ClientGroupDto GetByName(string name) {
+      ClientGroupDto group = new ClientGroupDto();
+      ResourceDto res =
         ResAdapter.GetByName(name);
 
@@ -143,5 +143,5 @@
     }
 
-    public ICollection<ClientGroup> MemberOf(Resource resource) {
+    public ICollection<ClientGroupDto> MemberOf(ResourceDto resource) {
       if (resource != null) {
         return base.FindMultiple(
@@ -155,10 +155,10 @@
     }
 
-    protected override bool doDelete(ClientGroup group) {
+    protected override bool doDelete(ClientGroupDto group) {
       if (group != null) {
         //recursively delete all subgroups
-        foreach (Resource res in group.Resources) {
-          if (res is ClientGroup) {
-            Delete(res as ClientGroup);
+        foreach (ResourceDto res in group.Resources) {
+          if (res is ClientGroupDto) {
+            Delete(res as ClientGroupDto);
           }
         }
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs	(revision 3011)
@@ -37,5 +37,5 @@
   class JobAdapter :
     DataAdapterBase<dsHiveServerTableAdapters.JobTableAdapter,
-                      Job, 
+                      JobDto, 
                       dsHiveServer.JobRow>, 
     IJobAdapter {
@@ -87,5 +87,5 @@
         if (clientAdapter == null)
           clientAdapter = 
-            this.Session.GetDataAdapter<ClientInfo, IClientAdapter>();
+            this.Session.GetDataAdapter<ClientDto, IClientAdapter>();
 
         return clientAdapter;
@@ -112,5 +112,5 @@
         if (pluginInfoAdapter == null) {
           pluginInfoAdapter =
-            this.Session.GetDataAdapter<HivePluginInfo, IPluginInfoAdapter>();
+            this.Session.GetDataAdapter<HivePluginInfoDto, IPluginInfoAdapter>();
         }
 
@@ -125,5 +125,5 @@
         if (projectAdapter == null) {
           projectAdapter =
-            this.Session.GetDataAdapter<Project, IProjectAdapter>();
+            this.Session.GetDataAdapter<ProjectDto, IProjectAdapter>();
         }
 
@@ -137,6 +137,6 @@
 
     #region Overrides
-    protected override Job ConvertRow(dsHiveServer.JobRow row,
-      Job job) {
+    protected override JobDto ConvertRow(dsHiveServer.JobRow row,
+      JobDto job) {
       if (row != null && job != null) {
         job.Id = row.JobId;
@@ -203,5 +203,5 @@
         job.PluginsNeeded.Clear();
         foreach (Guid requiredPlugin in requiredPlugins) {
-          HivePluginInfo pluginInfo = 
+          HivePluginInfoDto pluginInfo = 
             PluginInfoAdapter.GetById(requiredPlugin);
 
@@ -218,5 +218,5 @@
     }
 
-    protected override dsHiveServer.JobRow ConvertObj(Job job,
+    protected override dsHiveServer.JobRow ConvertObj(JobDto job,
       dsHiveServer.JobRow row) {
       if (job != null && row != null) {
@@ -250,4 +250,6 @@
           row.SetJobStateNull();
 
+        //Todo: commout
+        /*
         row.Percentage = job.Percentage;
 
@@ -266,5 +268,5 @@
         row.CoresNeeded = job.CoresNeeded;
 
-        row.MemoryNeeded = job.MemoryNeeded;
+        row.MemoryNeeded = job.MemoryNeeded;*/
 
         if (job.Project != null)
@@ -279,5 +281,5 @@
 
     #region IJobAdapter Members
-    public ICollection<Job> GetAllSubjobs(Job job) {
+    public ICollection<JobDto> GetAllSubjobs(JobDto job) {
       if (job != null) {
         return
@@ -291,5 +293,5 @@
     }
 
-    public ICollection<Job> GetJobsByState(State state) {
+    public ICollection<JobDto> GetJobsByState(State state) {
       return
          base.FindMultiple(
@@ -299,5 +301,5 @@
     }
 
-    public ICollection<Job> GetJobsOf(ClientInfo client) {
+    public ICollection<JobDto> GetJobsOf(ClientDto client) {
       if (client != null) {
         return
@@ -311,5 +313,5 @@
     }
 
-    public ICollection<Job> GetActiveJobsOf(ClientInfo client) {
+    public ICollection<JobDto> GetActiveJobsOf(ClientDto client) {
 
       if (client != null) {
@@ -324,5 +326,5 @@
     }
 
-    public ICollection<Job> GetJobsOf(Guid userId) {      
+    public ICollection<JobDto> GetJobsOf(Guid userId) {      
       return 
           base.FindMultiple(
@@ -332,5 +334,5 @@
     }
 
-    public ICollection<Job> FindJobs(State state, int cores, int memory,
+    public ICollection<JobDto> FindJobs(State state, int cores, int memory,
       Guid resourceId) {
       return
@@ -345,5 +347,5 @@
     }
 
-    public ICollection<Job> GetJobsByProject(Guid projectId) {
+    public ICollection<JobDto> GetJobsByProject(Guid projectId) {
       return
          base.FindMultiple(
@@ -353,5 +355,5 @@
     }
 
-    protected override void doUpdate(Job obj) {
+    protected override void doUpdate(JobDto obj) {
       if (obj != null) {
         ProjectAdapter.Update(obj.Project);
@@ -364,7 +366,7 @@
         List<Guid> relationships =
           new List<Guid>();
-        foreach (HivePluginInfo pluginInfo in obj.PluginsNeeded) {
+        foreach (HivePluginInfoDto pluginInfo in obj.PluginsNeeded) {
           //first check if pluginInfo already exists in the db
-          HivePluginInfo found = PluginInfoAdapter.GetByNameVersionBuilddate(
+          HivePluginInfoDto found = PluginInfoAdapter.GetByNameVersionBuilddate(
             pluginInfo.Name, pluginInfo.Version, pluginInfo.BuildDate);
           if (found != null) {
@@ -384,5 +386,5 @@
     }
 
-    protected override bool doDelete(Job job) {
+    protected override bool doDelete(JobDto job) {
       if (job != null) {
         dsHiveServer.JobRow row =
@@ -403,7 +405,7 @@
 
           //delete orphaned pluginInfos
-          ICollection<HivePluginInfo> orphanedPluginInfos =
+          ICollection<HivePluginInfoDto> orphanedPluginInfos =
              PluginInfoAdapter.GetOrphanedPluginInfos();
-          foreach(HivePluginInfo orphanedPlugin in orphanedPluginInfos) {
+          foreach(HivePluginInfoDto orphanedPlugin in orphanedPluginInfos) {
             PluginInfoAdapter.Delete(orphanedPlugin);
           }
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobResultsAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobResultsAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobResultsAdapter.cs	(revision 3011)
@@ -25,5 +25,5 @@
         if (clientAdapter == null)
           clientAdapter =
-            this.Session.GetDataAdapter<ClientInfo, IClientAdapter>();
+            this.Session.GetDataAdapter<ClientDto, IClientAdapter>();
 
         return clientAdapter;
@@ -37,5 +37,5 @@
         if (jobAdapter == null)
           jobAdapter =
-            this.Session.GetDataAdapter<Job, IJobAdapter>();
+            this.Session.GetDataAdapter<JobDto, IJobAdapter>();
 
         return jobAdapter;
@@ -57,5 +57,5 @@
 
         if (result.ClientId != Guid.Empty)  {
-          ClientInfo client = 
+          ClientDto client = 
                  ClientAdapter.GetById(result.ClientId);
 
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/PluginInfoAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/PluginInfoAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/PluginInfoAdapter.cs	(revision 3011)
@@ -14,5 +14,5 @@
   class PluginInfoAdapter:
     DataAdapterBase<dsHiveServerTableAdapters.PluginInfoTableAdapter,
-      HivePluginInfo,
+      HivePluginInfoDto,
       dsHiveServer.PluginInfoRow>,
     IPluginInfoAdapter {
@@ -22,5 +22,5 @@
     }
 
-    protected override dsHiveServer.PluginInfoRow ConvertObj(HivePluginInfo pluginInfo, 
+    protected override dsHiveServer.PluginInfoRow ConvertObj(HivePluginInfoDto pluginInfo, 
       dsHiveServer.PluginInfoRow row) {
       if (row != null && pluginInfo != null) {
@@ -36,6 +36,6 @@
     }
 
-    protected override HivePluginInfo ConvertRow(dsHiveServer.PluginInfoRow row,
-      HivePluginInfo pluginInfo) {
+    protected override HivePluginInfoDto ConvertRow(dsHiveServer.PluginInfoRow row,
+      HivePluginInfoDto pluginInfo) {
       if (row != null && pluginInfo != null) {
         pluginInfo.Id = row.PluginId;
@@ -65,5 +65,5 @@
     }
 
-    public HivePluginInfo GetByNameVersionBuilddate(String name, String version, DateTime buildDate) {
+    public HivePluginInfoDto GetByNameVersionBuilddate(String name, String version, DateTime buildDate) {
       return
          base.FindSingle(
@@ -73,5 +73,5 @@
     }
 
-    public ICollection<HivePluginInfo> GetOrphanedPluginInfos() {
+    public ICollection<HivePluginInfoDto> GetOrphanedPluginInfos() {
       return
         base.FindMultiple(
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ProjectAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ProjectAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ProjectAdapter.cs	(revision 3011)
@@ -38,5 +38,5 @@
     DataAdapterBase<
       dsHiveServerTableAdapters.ProjectTableAdapter, 
-      Project, 
+      ProjectDto, 
       dsHiveServer.ProjectRow>,
     IProjectAdapter{
@@ -46,6 +46,6 @@
 
     #region Overrides
-    protected override Project ConvertRow(dsHiveServer.ProjectRow row, 
-      Project project) {
+    protected override ProjectDto ConvertRow(dsHiveServer.ProjectRow row, 
+      ProjectDto project) {
       if (row != null && project != null) {
         project.Id = row.ProjectId;
@@ -62,5 +62,5 @@
     }
 
-    protected override dsHiveServer.ProjectRow ConvertObj(Project project,
+    protected override dsHiveServer.ProjectRow ConvertObj(ProjectDto project,
       dsHiveServer.ProjectRow row) {
       if (project != null && row != null) {
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/Properties/Settings.settings	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/Properties/Settings.settings	(revision 3011)
@@ -6,8 +6,8 @@
       <DesignTimeValue Profile="(Default)">&lt;?xml version="1.0" encoding="utf-16"?&gt;
 &lt;SerializableConnectionString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
-  &lt;ConnectionString&gt;Data Source=10.22.20.84;Initial Catalog=HiveServer;Persist Security Info=True;User ID=hive;Password=hive&lt;/ConnectionString&gt;
+  &lt;ConnectionString&gt;Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive;Persist Security Info=True;User ID=hive;Password=hive;Pooling=true;MultipleActiveResultSets=true&lt;/ConnectionString&gt;
   &lt;ProviderName&gt;System.Data.SqlClient&lt;/ProviderName&gt;
 &lt;/SerializableConnectionString&gt;</DesignTimeValue>
-      <Value Profile="(Default)">Data Source=10.22.20.84;Initial Catalog=HiveServer;Persist Security Info=True;User ID=hive;Password=hive</Value>
+      <Value Profile="(Default)">Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive;Persist Security Info=True;User ID=hive;Password=hive;Pooling=true;MultipleActiveResultSets=true</Value>
     </Setting>
   </Settings>
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ResourceAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ResourceAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/ResourceAdapter.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
     DataAdapterBase<
       dsHiveServerTableAdapters.ResourceTableAdapter, 
-      Resource, 
+      ResourceDto, 
       dsHiveServer.ResourceRow>,  
     IResourceAdapter {
@@ -46,5 +46,5 @@
         if (clientAdapter == null)
           clientAdapter =
-            this.Session.GetDataAdapter<ClientInfo, IClientAdapter>();
+            this.Session.GetDataAdapter<ClientDto, IClientAdapter>();
         
         return clientAdapter;
@@ -58,5 +58,5 @@
         if (clientGroupAdapter == null)
           clientGroupAdapter =
-            this.Session.GetDataAdapter<ClientGroup, IClientGroupAdapter>();
+            this.Session.GetDataAdapter<ClientGroupDto, IClientGroupAdapter>();
 
         return clientGroupAdapter;
@@ -69,6 +69,6 @@
 
     #region Overrides
-    protected override Resource ConvertRow(dsHiveServer.ResourceRow row,
-      Resource resource) {
+    protected override ResourceDto ConvertRow(dsHiveServer.ResourceRow row,
+      ResourceDto resource) {
       if (row != null && resource != null) {
         resource.Id = row.ResourceId;
@@ -83,5 +83,5 @@
     }
 
-    protected override dsHiveServer.ResourceRow ConvertObj(Resource resource,
+    protected override dsHiveServer.ResourceRow ConvertObj(ResourceDto resource,
       dsHiveServer.ResourceRow row) {
       if (resource != null && row != null) {
@@ -96,5 +96,5 @@
 
     #region IResourceAdapter Members
-    public bool GetById(Resource resource) {
+    public bool GetById(ResourceDto resource) {
       if (resource != null) {
         dsHiveServer.ResourceRow row =
@@ -111,5 +111,5 @@
     }
 
-    public Resource GetByName(string name) {
+    public ResourceDto GetByName(string name) {
       return
         base.FindSingle (
@@ -123,9 +123,9 @@
     #region IPolymorphicDataAdapter<Resource> Members
 
-    public void UpdatePolymorphic(Resource res) {
-      if (res is ClientInfo) {
-        ClientAdapter.Update(res as ClientInfo);
-      } else if (res is ClientGroup) {
-        ClientGroupAdapter.Update(res as ClientGroup);
+    public void UpdatePolymorphic(ResourceDto res) {
+      if (res is ClientDto) {
+        ClientAdapter.Update(res as ClientDto);
+      } else if (res is ClientGroupDto) {
+        ClientGroupAdapter.Update(res as ClientGroupDto);
       } else {
         this.Update(res);
@@ -133,6 +133,6 @@
     }
 
-    public Resource GetByIdPolymorphic(Guid id) {
-      ClientGroup group =
+    public ResourceDto GetByIdPolymorphic(Guid id) {
+      ClientGroupDto group =
         ClientGroupAdapter.GetById(id);
 
@@ -140,5 +140,5 @@
         return group;
       else {
-        ClientInfo client =
+        ClientDto client =
           ClientAdapter.GetById(id);
 
@@ -151,9 +151,9 @@
     }
 
-    public bool DeletePolymorphic(Resource res) {
-      if (res is ClientInfo) {
-        return ClientAdapter.Delete(res as ClientInfo);
-      } else if (res is ClientGroup) {
-        return ClientGroupAdapter.Delete(res as ClientGroup);
+    public bool DeletePolymorphic(ResourceDto res) {
+      if (res is ClientDto) {
+        return ClientAdapter.Delete(res as ClientDto);
+      } else if (res is ClientGroupDto) {
+        return ClientGroupAdapter.Delete(res as ClientGroupDto);
       } else {
         return this.Delete(res);
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientAdapterWrapper.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientAdapterWrapper.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientAdapterWrapper.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -12,5 +12,5 @@
    TableAdapterWrapperBase<
        dsHiveServerTableAdapters.ClientTableAdapter,
-   ClientInfo,
+   ClientDto,
    dsHiveServer.ClientRow> {
     public override void UpdateRow(dsHiveServer.ClientRow row) {
@@ -19,5 +19,5 @@
 
     public override dsHiveServer.ClientRow
-      InsertNewRow(ClientInfo client) {
+      InsertNewRow(ClientDto client) {
       dsHiveServer.ClientDataTable data =
         new dsHiveServer.ClientDataTable();
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientConfigAdapterWrapper.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientConfigAdapterWrapper.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientConfigAdapterWrapper.cs	(revision 3011)
@@ -12,5 +12,5 @@
     TableAdapterWrapperBase<
         dsHiveServerTableAdapters.ClientConfigTableAdapter,
-    ClientConfig,
+    ClientConfigDto,
     dsHiveServer.ClientConfigRow> {
     public override void UpdateRow(dsHiveServer.ClientConfigRow row) {
@@ -19,5 +19,5 @@
 
     public override dsHiveServer.ClientConfigRow
-      InsertNewRow(ClientConfig config) {
+      InsertNewRow(ClientConfigDto config) {
       dsHiveServer.ClientConfigDataTable data =
         new dsHiveServer.ClientConfigDataTable();
